Bug 112381 - Bash com caracteres estranhos
Bash com caracteres estranhos
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-18 13:20 EST by Beethoven
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-19 04:34:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Beethoven 2003-12-18 13:20:07 EST
Description of problem:
Caracteres inválidos causam erros de endereço.

Version-Release number of selected component (if applicable):
Red-Hat 9 e anterior.

How reproducible:


Steps to Reproduce:
1. mkdir (Control + v)(enter)(enter)
2. cd ?
  
Actual results:
O endereço fica desfigurado.

Expected results:
O endereço deve permanecer como o nome do diretorio

Additional info:
Tabém eh possivel substituir endereços, como:
mkdir (CTRL + V)(BACKSPACE)(ENTER)
cd ?

isso apaga o último caractere.

beethoven
beethoven@warchalking.com.br
www.warchalking.com.br
Comment 1 Tim Waugh 2003-12-19 04:34:00 EST
I'm not quite sure what you expect.  You could put ANSI sequences in
filenames too, if you wanted to.
Comment 2 Beethoven 2003-12-19 12:25:06 EST
For example:  mkdir (CTRL+V)(ESC)]
 occults what the usuario types in the screen.  I by chance made a 
combination in which when deletar the diretorio made rm enters in 
Loop, unhappyly I am not obtaining to repeat this.

Note You need to log in before you can comment on or make changes to this bug.